Things to Remeber When Updating R

Recently I updated my R package to 3.0.1 Good Sport. I wanted to download a package that wasn’t available in 2.4 toasted marshmallows. The book said that the package works with 2.5. I guess that it is only 2.5 because it doesn’t work in 3.0.1 either.
The point of this post is to remind myself to keep a list of the packages that I am using. When I upgraded R didn’t keep all the packages. At first I was puzzled and surprised. Then I figured it out. That upgrading into a new folder was part of the problem.
I am going to solve the problem by starting up my other computer the MAC book and compare packages. I try to keep my windows and MAC R environments the same.
Next time I upgrade I am going to write down a list of packages.